docusign.envelope-shares.get-shared-envelopes ​
docusign.envelope-shares.get-shared-envelopes
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
count | string | No | — | The maximum number of results to return. |
from_date | string | No | — | The start date for a date range in UTC DateTime format. Note: If this property is null, no date filtering is applied. |
include | string | No | — | — |
order | string | No | — | The order in which to sort the results. Valid values are: * asc: Ascending order. * desc: Descending order. |
order_by | string | No | — | The file attribute to use to sort the results. Valid values are: * modified * name |
search_text | string | No | — | Use this parameter to search for specific text. |
start_position | string | No | — | The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image. |
status | string | No | — | The status of the item. |
to_date | string | No | — | The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned. Note: If this property is null, the value defaults to the current date. |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
count | string | No | — | The maximum number of results to return. |
from_date | string | No | — | The start date for a date range in UTC DateTime format. Note: If this property is null, no date filtering is applied. |
include | string | No | — | — |
order | string | No | — | The order in which to sort the results. Valid values are: * asc: Ascending order. * desc: Descending order. |
order_by | string | No | — | The file attribute to use to sort the results. Valid values are: * modified * name |
search_text | string | No | — | Use this parameter to search for specific text. |
start_position | string | No | — | The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image. |
status | string | No | — | The status of the item. |
to_date | string | No | — | The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned. Note: If this property is null, the value defaults to the current date. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call GET /v2.1/accounts/{accountId}/envelopes/shared |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform GET /v2.1/accounts/{accountId}/envelopes/shared |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.envelope-shares.get-shared-envelopes",
"initial_data": {
"base_url": "value",
"accountid": "value"
}
}